## org.eclipse.datatools.sqltools.db.derby.core.services
Class DerbyConnectionService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.ConnectionService
          org.eclipse.datatools.sqltools.db.derby.core.services.DerbyConnectionService

    public class DerbyConnectionService

extends org.eclipse.datatools.sqltools.core.services.ConnectionService

Author:
  Hui Cao

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.core.services.ConnectionService
`org.eclipse.datatools.sqltools.core.services.ConnectionService.ConnectionProcessor`

Constructor Summary
`DerbyConnectionService()`

Method Summary
`java.sql.Connection` `createConnection(java.lang.String profileName, java.lang.String dbName)`
`org.eclipse.datatools.sqltools.core.IControlConnection` `createControlConnection(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Methods inherited from class org.eclipse.datatools.sqltools.core.services.ConnectionService
`closeConnection, createConnection, getConnectionId, getConnectionInitializer, getConnectionKiller, getConnectionProcessor, getDefaultConnectionProperties`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerbyConnectionService

    public DerbyConnectionService()

Method Detail

### createControlConnection

    public org.eclipse.datatools.sqltools.core.IControlConnection createControlConnection(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)
                                                                                   throws java.sql.SQLException

  Overrides:
    `createControlConnection` in class `org.eclipse.datatools.sqltools.core.services.ConnectionService`
  Throws:
    `java.sql.SQLException`

### createConnection

    public java.sql.Connection createConnection(java.lang.String profileName,
                                                java.lang.String dbName)

  Overrides:
    `createConnection` in class `org.eclipse.datatools.sqltools.core.services.ConnectionService`